<?php

namespace Tests\Unit;

use App\Helper\Response\ApiResponse;
use PHPUnit\Framework\TestCase;

class ResponseTest extends TestCase
{
    private $response;
    public function setUp(): void
    {
        parent::setUp(); // TODO: Change the autogenerated stub
        $this->response = new ApiResponse();
    }

    /**
     * A basic unit test example.
     *
     * @return void
     */
    public function test_response_object()
    {
        $this->response->setErrors('error');
        $this->response->setMessages('message');
        $this->response->setCode(500);
        $this->response->setOk(true);
        $this->response->setBody(['body']);
        $response = $this->response->response();
//
        $this->assertSame('error',$response['errors']);
        $this->assertSame('message',$response['messages']);
        $this->assertSame(500,$response['code']);
        $this->assertSame(true,$response['ok']);
        $this->assertSame(['body'],$response['body']);
    }
}
